Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjmlExpand
Class Counter.SubCounter

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
            |
            +--com.jxml.quick.ocm.OCMcontextSupport.SubContextSupport
                  |
                  +--com.jxml.quick.util.qjmlExpand.Counter.SubCounter

All Implemented Interfaces:
  OCMbase.SubBase, OCMcontext, OCMsink.SubSink, OCMsource.SubSource

Enclosing class:
  Counter

public class Counter.SubCounter
extends OCMcontextSupport.SubContextSupport

Field Summary
`int` | `count` The count value used in previously generated ID.

Fields inherited from class com.jxml.quick.ocm.OCMcontextSupport.SubContextSupport
`dataModelRoot, destination, outputDoc, peers, rootPeer, sb`

Fields inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`cl, docName, inputDoc, properties, subSource, subValidator`

Constructor Summary
`Counter.SubCounter(HashMap prior)`

Method Summary
`void` | `addIDAttribute(QConverterSupport cs)` Add and ID, but only if setIDs is true.
`String` | `genID()` Generate an ID.

Methods inherited from class com.jxml.quick.ocm.OCMcontextSupport.SubContextSupport
`dataModelRoot, express, express, getClassLoader, getDestination, getDoc, getInputDoc, getPUBLIC, getRootTag, getSchemaDoc, getStringBuffer, getSYSTEM, peer, rootPeer, setClassLoader, setDestination, setStringBuffer`

Methods inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`expressFile, getInputSchemaDoc, getProperties, getSubSource, setDocName, setInputDocName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMcontext
`getInputSchemaDoc, getProperties`

Methods inherited from interface com.jxml.quick.ocm.OCMsource.SubSource
`setInputDocName, setProperties`

Field Detail

### count

    public int count

  The count value used in previously generated ID.

Constructor Detail

### Counter.SubCounter

    public Counter.SubCounter(HashMap prior)

Method Detail

### genID

    public String genID()

  Generate an ID.

### addIDAttribute

    public void addIDAttribute(QConverterSupport cs)

  Add and ID, but only if setIDs is true.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD